<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('research_devs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('project_title', 500)->nullable();
            $table->string('province_id');
            $table->string('province_fa');
            $table->string('project_agent')->nullable();
            $table->string('final_report_one')->nullable();
            $table->string('final_report_three')->nullable();
            $table->string('final_report_four')->nullable();
            $table->string('final_report_two')->nullable();
            $table->boolean('project_status')->default(false);
            $table->bigInteger('contract_amount')->nullable();
            $table->string('contract_date')->nullable();
            $table->string('contract_number')->nullable();
            $table->string('contract_term')->nullable();
            $table->string('domain_fa')->nullable();
            $table->boolean('contract_status')->nullable();
            $table->string('uuid');
            $table->timestamps();
            $table->string('expert_firstname');
            $table->string('expert_lastname');
            $table->string('expert_phone');
            $table->string('domain_id');
            $table->string('unique_id', 255)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('research_devs');
    }
};
